function fHoliday(y,m,d) {
var rE=fGetEvent(y,m,d), r=null;
fAddEvent(2006,12,31, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,12,30, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,12,25, "Merry X'mas", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,12,24, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,12,23, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,12,17, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,12,16, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,12,10, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,12,9, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,12,3, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,12,2, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,11,26, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,11,25, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,11,19, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,11,18, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,11,12, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,11,11, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,11,5, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,11,4, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,10,29, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,10,28, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,10,25, "Public Holiday", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,10,24, "Hari Raya Puasa", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,10,22, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,10,21, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,10,15, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,10,14, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,10,8, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,10,7, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,10,1, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,9,30, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,9,24, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,9,23, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,9,17, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,9,16, "TYT Birthday", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,9,10, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,9,9, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,9,3, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,9,2, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,8,31, "National Day", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,8,27, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,8,26, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,8,20, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,8,19, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,8,13, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,8,12, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,8,6, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,8,5, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,7,30, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,7,29, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,7,23, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,7,22, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,7,16, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,7,15, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,7,9, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,7,8, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,7,2, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,7,1, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,6,25, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,6,24, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,6,18, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,6,17, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,6,11, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,6,10, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,6,4, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,6,3, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,6,2, "Public Holiday", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,6,1, "Gawai Holiday", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,5,28, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,5,27, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,5,21, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,5,20, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,5,14, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,5,13, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,5,7, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,5,6, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,5,1, "Labour Day", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,4,30, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,4,29, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,4,23, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,4,22, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,4,16, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,4,15, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,4,14, "Good Friday", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,4,11, "Nabi Mohammad S.A.W", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,4,9, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,4,8, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,4,2, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,4,1, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,3,26, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,3,25, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,3,19, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,3,18, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,3,12, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,3,11, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,3,5, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,3,4, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,2,26, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,2,25, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,2,19, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,2,18, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,2,12, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,2,11, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,2,5, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,2,4, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,2,1, "Public Holiday", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,1,31, "Awal Muharam 1424H", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,1,30, "Public Holiday", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,1,29, "Chinese New Year", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,1,28, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,1,22, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,1,21, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,1,15, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,1,14, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,1,10, "Hari Raya Haji", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,1,8, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,1,7, "Weekend", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,1,2, "Public Hiloday", null, "#87ceeb", "dodgerblue");
fAddEvent(2006,1,1, "New Year", null, "#87ceeb", "dodgerblue");
return rE?rE:r; // favor events over holidays
}